echo off

REM ############################################################################
REM ####   
REM ####   DO _NOT_ EDIT THIS FILE, IT IS ONLY MEANT TO BE RUN *MONTHLY*
REM ####   IT WILL BE ADJUSTED EVERY MONTH TO DOWNLOAD THE LATEST ARCHIVE
REM ####   BY THE AMIGABOING WEBSITE - PLEASE DO _NOT_ ALTER IT YOURSELF, AS
REM ####   YOU MAY BREAK SOMETHING AND CAUSE OTHER ISSUES
REM ####   
REM ####   UNDER NO CIRCUMSTANCES SHALL AMIGA BOING BLOG BE LIABLE TO YOU
REM ####   FOR ANY DAMAGE(S) RESULTING FROM THE USE OF THIS FILE IN ANY WAY,
REM ####   SHAPE OR FORM
REM ####
REM ####   THIS BATCH FILE, SIMPLY REQUESTS THE UPDATE ARCHIVE USING "WGET"
REM ####   AND DOWNLOADS IT, THEN USES "7ZA" (7-ZIP COMMAND LINE VERSION)
REM ####   TO EXTRACT IT TO UPDATE THE GAMES COLLECTION FOR THE MONTH
REM ####
REM ############################################################################

title Amiga Boing Games Collection Updater
mode 80,25
cls

For /F "tokens=1,2,3 delims=/ " %%A in ('Date /t') do @( 
    Set Day=%%A
    Set Month=%%B
    Set Year=%%C
)

if not exist update\wget.exe goto error
if not exist update\7za.exe goto error
if not exist winuae.exe goto error
if not exist AmigaBoingHDF goto error

if %Month%==06 goto update
goto finished

:update
cls
echo.
echo    ----------------------------------------------------------------------
echo.
echo      Please Wait One Moment - Downloading and Extracting New Updates ..
echo.
echo    ----------------------------------------------------------------------
echo.

update\wget https://amigaboing.net/dl/update-%Year%-%Month%.7z
if not exist update-%Year%-%Month%.7z goto error

if exist update-%Year%-%Month%.7z update\7za x -y update-%Year%-%Month%.7z
if exist update-%Year%-%Month%.7z del /q update-%Year%-%Month%.7z

goto finished

:error
title Amiga Boing Games Collection Updater
cls
echo.
echo    ----------------------------------------------------------------------
echo.
echo    NOTE: One or more files are missing from the distribution
echo.
echo          You must run this file in the same folder as "winuae.exe"
echo          The folder must also contain "AmigaBoingHDF" as well
echo.
echo          You also require the "Update" folder containing both
echo          WGET.EXE and 7ZA.EXE files - otherwise this will *NOT* work!
echo.
echo    ----------------------------------------------------------------------
timeout 10
goto end

:finished
title Amiga Boing Games Collection Updater
cls
echo.
echo    ----------------------------------------------------------------------
echo.
echo       All Upto Date for this month - Please launch winuae as normal :)
echo.
echo    ----------------------------------------------------------------------
echo.
timeout 10

:end

